function param=detect(B,xmin,xmax)

%preparing data
D=histogram(B);
C=Cumulative(D);
R=RankDistNew(B);

%analysing methods
%Newman method
aNew=newman(B,xmin);
aN=-aNew(1);

%Log-Log LS
coef=LinReg(D,xmin,xmax);
a=coef(1,1);

coefC=LinReg(C,xmin,xmax);
aC=coefC(1,1)-1;

coefR=LinRegRank(R,xmin,xmax);
aR=coefR(1,1)-1;

%the value alfa of the exponent and the error, 
param(1,1)=aN; param(1,2)=aNew(2);
param(2,1)=a; param(2,2)=coef(1,2);
param(3,1)=aC; param(3,2)=coefC(1,2);
param(4,1)=aR; param(4,2)=coefR(1,2);

