function draw22(C,alfa,C2,alfa2,xmin,xmin2)

l=1;
for i=1:size(C,1)
     if C(i,1)>=xmin
         D(l,1)=C(i,1);
         D(l,2)=C(i,2);
         l=l+1;
     end
end

l=1;
for i=1:size(C2,1)
     if C2(i,1)>=xmin2
         D2(l,1)=C2(i,1);
         D2(l,2)=C2(i,2);
         l=l+1;
     end
end

xmax=size(D,1);
xmax2=size(D2,1);

%Decaying function, looking for minimum
if alfa<0
ym=10000;
for i=1:xmax
    if D(i,2)<ym ym=D(i,2); end
end

if ym==0 ym=1; end
end
%Growing function, looking for maximum
if alfa>0
    ym=-1000000000;
    for i=1:xmax
        if D(i,2)>ym ym=D(i,2); end
    end
end

%Decaying function, looking for minimum
if alfa2<0
ym2=10000;
for i=1:xmax2
    if D2(i,2)<ym2 ym2=D2(i,2); end
end

if ym2==0 ym2=1; end
end
%Growing function, looking for maximum
if alfa2>0
    ym2=-1000000000;
    for i=1:xmax2
        if D2(i,2)>ym2 ym2=D2(i,2); end
    end
end

b=findB(D,xmin,0,alfa);
b2=findB(D2,xmin2,0,alfa2);

xm=exp(log(ym/b)/alfa);
xm2=exp(log(ym2/b2)/alfa2);

%sizes of the plot
x1=C(1,1);
x2=0;
x2=size(C,1);
x2=C(x2,1);

if x1>x2 xx=x2; x2=x1; x1=xx; end

%sizes of the plot
x12=C2(1,1);
x22=size(C2,1);
x22=C2(x22,1);

if x12>x22 xx=x22; x22=x12; x12=xx; end

%finding smaller
if x12<x1 x1=x12; end
%finding larger
if x22>x2 x2=x22; end

    
%looking for smallest values
y1=C(1,2);
for i=2:size(C,1)
    if C(i,2)<y1 y1=C(i,2); end
end

%looking for largest value
y2=0;
for i=1:size(C,1)
    if C(i,2)>y2 y2=C(i,2); end
end

%looking for smallest values
y12=C2(1,2);
for i=2:size(C2,1)
    if C2(i,2)<y12 y12=C2(i,2); end
end

%looking for largest value
y22=0;
for i=1:size(C2,1)
    if C2(i,2)>y22 y22=C2(i,2); end
end

%finding smaller
if y12<y1 y1=y12; end
%finding larger
if y22>y2 y2=y22; end

%R^2 distance benteen data and approximation
tot=0;
tot2=0;
%for i=xmin:size(C,1)
%    if C(i,2)>0 tot=tot+(log(C(i,2))-log(b*C(i,1)^(alfa)))^2; end
%end
for i=1:size(D,1)
    if D(i,2)>0 tot=tot+(log(D(i,2))-log(b*D(i,1)^(alfa)))^2; end
end

for i=1:size(D2,1)
    if D2(i,2)>0 tot2=tot2+(log(D2(i,2))-log(b2*D2(i,1)^(alfa2)))^2; end
end

%creating two curves with exponents alfa to compare with real data
%TEST(1,1)=D(xmin,1); TEST(2,1)=xm;
TEST(1,1)=xmin; TEST(2,1)=xm;
TEST(1,2)=b*TEST(1,1)^(alfa); TEST(2,2)=b*TEST(2,1)^(alfa);

TEST2(1,1)=xmin2; TEST2(2,1)=xm2;
TEST2(1,2)=b2*TEST2(1,1)^(alfa2); TEST2(2,2)=b2*TEST2(2,1)^(alfa2);

loglog(TEST(:,1),TEST(:,2),TEST2(:,1),TEST2(:,2),C(:,1),C(:,2),C2(:,1),C2(:,2));
h = legend(['\alpha = ',num2str(alfa),', R^{2} = ',num2str(tot)],['\alpha2 = ',num2str(alfa2),', R^{2} = ',num2str(tot2)],'DATA1','DATA2',4);
set(h,'Interpreter','tex');
axis([x1 x2+1 y1 y2+1]);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

