function P=nls_core(A,a,b)

format long;

%df(xi)/da = xi^(b)
%df(xi)/db = a*xi^(b)*ln(x)

%Creating matrix Z
for i=1:size(A,1)
    if A(i,1)>0 
        Z(i,1)=A(i,1)^(b);
        Z(i,2)=a*(A(i,1)^(b))*log(A(i,1));
    end
end

%Creating matrix D
for i=1:size(A,1)
    if A(i,1) >0
        D(i)=A(i,2)-a*A(i,1)^(b);
    end
end

P=Z\D';
