function G=scalefreeBernard(N,m)
%this function generates a scale free network of size N using
%Barabasi-Albert Algorithm.  N gives total number of nodes in the network
%and m the initial number of connected vertices to build the network
%around
tic
%set the initial seeds
G=zeros(N);
G(1:m,1:m)=1;
for i=1:m
    G(i,i)=0;
end

%degree table
for i=1:N
    Deg(1,i)=0;
end
%initial seeds degrees
SumDeg=0;
for i=1:m
    Deg(1,i)=m-1; SumDeg=SumDeg+m-1;
end



%now start adding additional vertices dependent on their degree

for new=(m+1):N

    %decide which to connect to
        for n=1:m
            to=0;
            while to==0
                p=ceil((new-1)*rand);
                    if p==new p=new-1; end
            
                prob=Deg(1,p)/SumDeg;
                probM=rand;
            
                if probM<prob to=p; end
            end
            
            G(new,to)=1;
            G(to,new)=G(new,to);
            %updating degrees
            Deg(1,to)=Deg(1,to)+1;
            Deg(1,new)=Deg(1,new)+1;
            SumDeg=SumDeg+2;
        end
end

clear Deg;
toc