function draw(C,alfa,xmin)

l=1;
for i=1:size(C,1)
     if C(i,1)>=xmin
         D(l,1)=C(i,1);
         D(l,2)=C(i,2);
         l=l+1;
     end
end

xmax=size(D,1);
%Decaying function, looking for minimum
if alfa<0
ym=10000;
for i=1:xmax
    if D(i,2)<ym ym=D(i,2); end
end

if ym==0 ym=1; end
end
%Growing function, looking for maximum
if alfa>0
    ym=-1000000000;
    for i=1:xmax
        if D(i,2)>ym ym=D(i,2); end
    end
end


b=findB(D,xmin,0,alfa);
xm=exp(log(ym/b)/alfa);


%sizes of the plot
x1=C(1,1);
x2=0;
x2=size(C,1);
x2=C(x2,1);

if x1>x2 xx=x2; x2=x1; x1=xx; end

%looking for smallest values
y1=C(1,2);
for i=2:size(C,1)
    if C(i,2)<y1 y1=C(i,2); end
end

%looking for largest value
y2=0;
for i=1:size(C,1)
    if C(i,2)>y2 y2=C(i,2); end
end

%R^2 distance benteen data and approximation
tot=0;
for i=1:size(D,1)
    if D(i,2)>0 tot=tot+(log(D(i,2))-log(b*D(i,1)^(alfa)))^2; end
end

%creating two curves with exponents alfa to compare with real data
%TEST(1,1)=D(xmin,1); TEST(2,1)=xm;
TEST(1,1)=xmin; TEST(2,1)=xm;
TEST(1,2)=b*TEST(1,1)^(alfa); TEST(2,2)=b*TEST(2,1)^(alfa);

loglog(TEST(:,1),TEST(:,2),C(:,1),C(:,2));
h = legend(['\alpha = ',num2str(alfa),', R^{2} = ',num2str(tot)],'DATA',2);
set(h,'Interpreter','tex');
axis([x1 x2+1 y1 y2+1]);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

