function draw_slopes(coef,coef2,coefR,alfaN,D,C,R,xmin)

%calculating exponents alfa
alfa=coef(1,1);

alfa2=coef2(1,1);
alfa2=alfa2-1;

alfaR=coefR(1,1);
alfaR=alfaR-1;

alfaN=-alfaN;

%papameter b;
b=coef(2,1);
b2=coef2(2,1);
bR=coefR(2,1);

l=1;
for i=1:size(D,1)
     if D(i,1)>=xmin
         C(l,1)=D(i,1);
         C(l,2)=D(i,2);
         l=l+1;
     end
end

%scaling plots
xmax=size(C,1);
%Decaying function, looking for minimum
if alfa<0
ym=100000000000000000;
for i=1:xmax
    if C(i,2)<ym ym=C(i,2); end
end

if ym==0 ym=1; end
end
%Growing function, looking for maximum
if alfa>0
    ym=-1000000000000000000;
    for i=1:xmax
        if C(i,2)>ym ym=C(i,2); end
    end
end


xm=exp(log(ym/b)/alfa);

bR=findB(C,xmin,0,alfaR);
b2=findB(C,xmin,0,alfa2);
bN=findB(C,xmin,0,alfaN);

%sizes of the plot
x1=D(1,1);
x2=0;
x2=size(D,1);
x2=D(x2,1);
if x1>x2 xx=x2; x2=x1; x1=xx; end

%looking for smallest values
y1=D(1,2);
for i=2:size(D,1)
    if D(i,2)<y1 y1=D(i,2); end
end

%looking for largest value
y2=0;
for i=1:size(D,1)
    if D(i,2)>y2 y2=D(i,2); end
end

%R^2 distance benteen data and approximation
tot=0;
tot2=0;
totR=0;
totN=0;

for i=xmin:size(D,1)
    if C(i,2)>0 tot=tot+(log(C(i,2))-log(b*C(i,1)^(alfa)))^2; tot2=tot2+(log(C(i,2))-log(b2*C(i,1)^(alfa2)))^2; totR=totR+(log(C(i,2))-log(bR*C(i,1)^(alfaR)))^2; totN=totN+(log(C(i,2))-log(bN*C(i,1)^(alfaN)))^2;end
end



%creating two curves with exponents alfa and alfa2 to compare them with
%real data
TEST(1,1)=xmin; TEST(2,1)=xm;
TEST(1,2)=b*TEST(1,1)^(alfa); TEST(2,2)=b*TEST(2,1)^(alfa);

TEST2(1,1)=xmin; TEST2(2,1)=xm;
TEST2(1,2)=b2*TEST2(1,1)^(alfa2); TEST2(2,2)=b2*TEST2(2,1)^(alfa2);

TESTR(1,1)=xmin; TESTR(2,1)=xm;
TESTR(1,2)=bR*TESTR(1,1)^(alfaR); TESTR(2,2)=bR*TESTR(2,1)^(alfaR);

TESTN(1,1)=xmin; TESTN(2,1)=xm;
TESTN(1,2)=bN*TESTN(1,1)^(alfaN); TESTN(2,2)=bN*TESTN(2,1)^(alfaN);


subplot(2,1,1); loglog(TEST(:,1),TEST(:,2),TEST2(:,1),TEST2(:,2),TESTR(:,1),TESTR(:,2),TESTN(:,1),TESTN(:,2),D(:,1),D(:,2));
h = legend(['\alpha = ',num2str(alfa),'\pm ',num2str(coef(1,2)),', R^{2} = ',num2str(tot)],['\alpha_C = ',num2str(alfa2),'\pm ',num2str(coef2(1,2)),', R^{2} = ',num2str(tot2)],['\alpha_{rank} = ',num2str(alfaR),'\pm ',num2str(coefR(1,2)),', R^{2} = ',num2str(totR)],['\alpha_N = ',num2str(alfaN),', R^{2} = ',num2str(totN)],'DATA',5);
set(h,'Interpreter','tex');
axis([x1 x2+1 y1 y2+1]);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%scaling plots
alfa2=alfa2+1;
alfaR=alfaR+1;

%cumulative
b2=coef2(2,1);
xmax=size(C,1);
ym=10000;
for i=1:xmax
    if C(i,2)<ym ym=C(i,2); end
end

if ym==0 ym=1; end

xm=exp(log(ym/b)/alfa2);

%rank dist.
bR=coefR(2,1);
xmaxR=size(R,1);
ymR=10000;
for i=1:xmaxR
    if R(i,2)<ymR ymR=R(i,2); end
end

if ymR==0 ymR=1; end

xmR=exp(log(ymR/bR)/alfaR);

%scaling the plot
if size(R,1)>x2 x2=size(R,1); end
if size(C,1)>x2 x2=size(C,1); end

for i=1:size(D,1)
    if R(i,2)>y2 y2=R(i,2); end
end

for i=1:size(D,1)
    if R(i,2)>y2 y2=R(i,2); end
end

TEST2(1,1)=xmin; TEST2(2,1)=xm;
TEST2(1,2)=b2*TEST2(1,1)^(alfa2); TEST2(2,2)=b2*TEST2(2,1)^(alfa2);

TESTR(1,1)=xmin; TESTR(2,1)=xmR;
TESTR(1,2)=bR*TESTR(1,1)^(alfaR); TESTR(2,2)=bR*TESTR(2,1)^(alfaR);

%subplot(2,1,2); loglog(D(:,1),D(:,2),TEST(:,1),TEST(:,2),C(:,1),C(:,2),TEST2(:,1),TEST2(:,2),R(:,1),R(:,2),TESTR(:,1),TESTR(:,2));
%h = legend('Deg. Dist','Fit','Cumul. Deg. Dist','Fit','Rank Dist','Fit',6);
subplot(2,1,2); loglog(D(:,1),D(:,2),C(:,1),C(:,2),R(:,1),R(:,2),TEST(:,1),TEST(:,2),TEST2(:,1),TEST2(:,2),TESTR(:,1),TESTR(:,2));
%loglog(D(:,1),D(:,2),C(:,1),C(:,2),R(:,1),R(:,2));
h = legend('Histogram','Cumul. Dist.','Rank Dist.',3);
set(h,'Interpreter','none');
axis([x1 x2+1 y1 y2+1]);